Your GAMPEONS purchases
GET
/v1/wallet/orders
const url = 'https://api.gampeon.com/v1/wallet/orders';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.gampeon.com/v1/wallet/orders \ --header 'Authorization: Bearer <token>'Not available with access tokens.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Orders
Media typeapplication/json
object
orders
required
Array<object>
object
id
required
string
packageId
required
string
coins
required
Amount in GAMPEONS
integer
priceCents
required
Euro cents
integer
currency
required
string
status
required
string
provider
required
sandbox: simulated payment with POST /v1/wallet/orders/:id/sandbox-pay. xsolla: Xsolla test payment through POST /v1/wallet/orders/:id/checkout.
string
createdAt
required
Unix time in milliseconds
integer format: int64
expiresAt
required
Unix time in milliseconds
integer format: int64
Example
{ "orders": [ { "status": "pending", "provider": "sandbox" } ]}Error codes: unauthorized
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}Error codes: token_not_allowed
Media typeapplication/json
object
error
required
Machine-readable error code, for example not_found or rate_limited.
string
message
Human-readable detail. Only present for some errors.
string
Example generated
{ "error": "example", "message": "example"}